#################################
## GXV34xx Change Log          ##
#################################
#################################################
# P Values Added since GXV34x0 1.0.5.35        ##
#################################################
# Added Account - General Setting - Media NAT Traversal
#  No (default), Auto, STUN, TURN, ICE
# P95002,95102,95202,95302,95402,95502,95602,95702,95802,95902,96002,96102,96202,96302,96402,96502
# alias: account.{x}.rtp.natTraversal

# Added Account - General Setting - Candidate Type
# 0 - All, 1 - RelayedOnly
# P95005,95105,95205,95305,95405,95505,95605,95705,95805,95905,96005,96105,96205,96305,96405,96505
# alias: account.{x}.rtp.ice.transportPolicy

# Added Account - General Setting - STUN/TURN Server
#  Type: turn, turns, stun, stuns
#  Transport: tcp, udp
#  url example: turn:gopbxp2p01.iad.zoom.us:3478?transport=udp
# Address
# alias: account.{x}.rtp.ice.natServer.1.url
# P95008,95108,95208,95308,95408,95508,95608,95708,95808,95908,96008,96108,96208,96308,96408,96508

# alias: account.{x}.rtp.ice.natServer.2.url
# P95011,95111,95211,95311,95411,95511,95611,95711,95811,95911,96011,96111,96211,96311,96411,96511

# alias: account.1.rtp.ice.natServer.3.url
# P95014,95114,95214,95314,95414,95514,95614,95714,95814,95914,96014,96114,96214,96314,96414,96514

# Username
# alias: account.1.rtp.ice.natServer.1.userName
# P95009,95109,95209,95309,95409,95509,95609,95709,95809,95909,96009,96109,96209,96309,96409,96509

# alias: account.1.rtp.ice.natServer.2.userName
# P95012,95112,95212,95312,95412,95512,95612,95712,95812,95912,96012,96112,96212,96312,96412,96512

# alias: account.1.rtp.ice.natServer.3.userName
# P95015,95115,95215,95315,95415,95515,95615,95715,95815,95915,96015,96115,96215,96315,96415,96515

# Password
# alias: account.1.rtp.ice.natServer.1.password
# P95010,95110,95210,95310,95410,95510,95610,95710,95810,95910,96010,96110,96210,96310,96410,96510

# alias: account.1.rtp.ice.natServer.2.password
# P95013,95113,95213,95313,95413,95513,95613,95713,95813,95913,96013,96113,96213,96313,96413,96513

# alias: account.1.rtp.ice.natServer.3.password
# P95016,95116,95216,95316,95416,95516,95616,95716,95816,95916,96016,96116,96216,96316,96416,96516

# Added Account - Codec Settings - RTCP Mode 
# Default- 0, Negotiated- 1, RTCPMux- 2, RTCPMuxOnly- 3
# P60060, 60160, 60260, 60360, 60460, 60560, 60660, 60760, 60860, 60960, 61060, 61160, 61260, 61360, 61460, 61560
# Alias: account.{x}.rtcp.port.selection

# Added Programmable Key - Extension field
# P37200, 37201, ... 37358, 37359
# alias: pks.mpk.{x}.extension
#################################################
# P Values Added since GXV34x0 1.0.5.32        ##
#################################################
# Updated Options for Phone Settings -> Call Settings -> Transfer Mode.
# 4 - Blind and attended transfer, 3 - Blind transfer only, 2 - Attended transfer only.
# P1685=4
# BlindTransferOnly, AttendedTransferOnly, BlindTransferAndAttendedTransfer
# Alias: <item name="call.transfer.mode">BlindTransferAndAttendedTransfer</item>

# Added Account Settings -> SIP Settings -> Use Zoom E911 X-Switch-Info SIP Header 
# P60070, 60170,60270, 60370, 60470, 60570, 60670, 60770, 60870, 60970, 61070, 61170, 61270, 61370, 61470, 61570
# Alias: "account.{x}.sip.header.xSwitchInfo

# Added Applications -> LDAP Phone book -> Validate Server Certificates
# P29774
# Alias: ldap.tls.validateServerCert

# Added Applications -> LDAP Phone book -> CA Certificate
# P29775
# Alias: <item name="ldap.tls.trustedServerCert"/>

# Added Applications -> LDAP Phone book -> User Certificate
# P29776
# Alias: <item name="ldap.tls.clientCert"/>

# Added Applications -> LDAP Phone book -> User Certificate Password
# P29777
# Alias: <item name="ldap.tls.clientCertPassword"/>

# Added NAPTR DNS Cache Name
# P93000, P93020, P93040, P93060, P93080, P93100, P93120, P93140, P93160, P93180, P93200, P93220, P93240, P93260, P93280, P93300, P93320, P93340
# Alias: <item name="network.dns.cache.NAPTR.{x}.name"/>

# Added NAPTR DNS Cache Time Interval (s)
# P93001, P93021, P93041, P93061, P93081, P93101, P93121, P93141, P93161, P93181, P93201, P93221, P93241, P93261, P93281, P93301, P93321, P93341
# Alias: <item name="network.dns.cache.NAPTR.{x}.ttl"/>

# Added NAPTR DNS Cache Order
# P93002, P93022, P93042, P93062, P93082, P93102, P93122, P93142, P93162, P93182, P93202, P93222, P93242, P93262, P93282, P93302, P93322, P93342
# Alias: <item name="network.dns.cache.NAPTR.{x}.order"/>

# Added NAPTR DNS Cache Preference
# P93003, P93023, P93043, P93063, P93083, P93103, P93123, P93143, P93163, P93183, P93203, P93223, P93243, P93263, P93283, P93303, P93323, P93343
# Alias: <item name="network.dns.cache.NAPTR.{x}.preference"/>

# Added NAPTR DNS Cache Service
# P93005, P93025, P93045, P93065, P93085, P93105, P93125, P93145, P93165, P93185, P93205, P93225, P93245, P93265, P93285, P93305, P93325, P93345
# Alias: <item name="network.dns.cache.NAPTR.{x}.service"/>

# Added NAPTR DNS Cache Replacement
# P93007, P93027, P93047, P93067, P93087, P93107, P93127, P93147, P93167, P93187, P93207, P93227, P93247, P93267, P93287, P93307, P93327, P93347
# Alias: <item name="network.dns.cache.NAPTR.{x}.replacement"/>

# Added SRV DNS Cache Name
# P93008, P93028, P93048, P93068, P93088, P93108, P93128, P93148, P93168, P93188, P93208, P93228, P93248, P93268, P93288, P93308, P93328, P93348
# Alias: <item name="network.dns.cache.SRV.{x}.name"/>

# Added SRV DNS Cache Time Interval (s)
# P93009, P93029, P93049, P93069, P93089, P93109, P93129, P93149, P93169, P93189, P93209, P93229, P93249, P93269, P93289, P93309, P93329, P93349
# Alias: <item name="network.dns.cache.SRV.{x}.ttl"/>

# Added SRV DNS Cache Priority
# P93010, P93030, P93050, P93070, P93090, P93110, P93130, P93150, P93170, P93190, P93210, P93230, P93250, P93270, P93290, P93310, P93330, P93350
# Alias: <item name="network.dns.cache.SRV.{x}.priority"/>

# Added SRV DNS Cache Weight
# P93011, P93031, P93051, P93071, P93091, P93111, P93131, P93151, P93171, P93191, P93211, P93231, P93251, P93271, P93291, P93311, P93331, P93351
# Alias: <item name="network.dns.cache.SRV.{x}.weight"/>

# Added SRV DNS Cache Port
# P93012, P93032, P93052, P93072, P93092, P93112, P93132, P93152, P93172, P93192, P93212, P93232, P93252, P93272, P93292, P93312, P93332, P93352
# Alias: <item name="network.dns.cache.SRV.{x}.port"/>

# Added SRV DNS Cache Target
# P93013, P93033, P93053, P93073, P93093, P93113, P93133, P93153, P93173, P93193, P93213, P93233, P93253, P93273, P93293, P93313, P93333, P93353
# Alias: <item name="network.dns.cache.SRV.{x}.target"/>

# Added A DNS Cache Name
# P93014, P93034, P93054, P93074, P93094, P93114, P93134, P93154, P93174, P93194, P93214, P93234, P93254, P93274, P93294, P93314, P93334, P93354
# Alias: <item name="network.dns.cache.A.{x}.name"/>

# Added A DNS Cache Time Interval (s)
# P93015, P93035, P93055, P93075, P93095, P93115, P93135, P93155, P93175, P93195, P93215, P93235, P93255, P93275, P93295, P93315, P93335, P93355
# Alias: <item name="network.dns.cache.A.{x}.ttl"/>

# Added A DNS Cache IP Address
# P93016, P93036, P93056, P93076, P93096, P93116, P93136, P93156, P93176, P93196, P93216, P93236, P93256, P93276, P93296, P93316, P93336, P93356
# Alias: <item name="network.dns.cache.A.{x}.address"/>

# Added Enable Local In-call DTMF Tone in Speaker Mode 
# P22552 
# Alias: <item name="call.connect.speaker.playLocalDTMF"/>

# Transfer to VM Feature Code
# P60092, P60192, P60292, P60392, P60492, P60592, P60692, P60792, P60892, P60992, P61092, P61192, P61292, P61392, P61492, P61592
# Alias: <item name="account.{x}.call.transferToVMFeatureCode"/>

# Added Call Screen SoftKeys
# Mode
# P8475, P8478, P8481
# Alias: <item name="pks.scSoftkey.{x}.mode"/>
# Label
# P8476, P8479, P8482
# Alias: <item name="pks.scSoftkey.{x}.description"/>
# Value(User ID)
# P8477, P8480, P8483
# Alias: <item name="pks.scSoftkey.{x}.value"/>

# Added TLS1.3 option for Minimum TLS Version 
# Added TLS1.3 option for Maximum TLS Version 

# Zoom SLA/SLG+ Call Monitor BMWT (BargeIn, Listen, Whisper, Takeover)
# Added Enable Call Monitor Function 
# P95017, P95117, P95217, P95317, P95417, P95517, P95617, P95717, P95817, P95917, P96017, P96117, P96217, P96317, P96417, P96517
# Alias: <item name="account.{x}.sip.callMonitoring.enable"/>

# Added Support Call Monitor Privacy Mode 
# P95018, P95118, P95218, P95318, P95418, P95518, P95618, P95718, P95818, P95918, P96018, P96118, P96218, P96318, P96418, P96518
# Alias: <item name="account.{x}.sip.callMonitoring.privacyMode.enable"/>

# Added Barge-in Feature Code 
# P95019, P95119, P95219, P95319, P95419, P95519, P95619, P95719, P95819, P95919, P96019, P96119, P96219, P96319, P96419, P96519
# Alias: <item name="account.{x}.featureCodes.callMonitoring.bargein"/>

# Added Listen Feature Code 
# P95020, P95120, P95220, P95320, P95420, P95520, P95620, P95720, P95820, P95920, P96020, P96120, P96220, P96320, P96420, P96520
# Alias: <item name="account.{x}.featureCodes.callMonitoring.listening"/>

# Added Whisper Feature Code 
# P95021, P95121, P95221, P95321, P95421, P95521, P95621, P95721, P95821, P95921, P96021, P96121, P96221, P96321, P96421, P96521
# Alias: <item name="account.{x}.featureCodes.callMonitoring.whisper"/>

# Takeover Feature Code 
# P95022, P95122, P95222, P95322, P95422, P95522, P95622, P95722, P95822, P95922, P96022, P96122, P96222, P96322, P96422, P96522
# Alias: <item name="account.{x}.featureCodes.callMonitoring.takeover"/>

# Changed MPK account alias pks.mpk.{x}.account value range to 0 - 15.

# Added "Zoom Desk Phone" option to Device Mode
# P22479=2
# Alias: <item name="phone.device.mode">ZoomDeskPhone</item>

# Removed Enable Self-Defined Time Zone. 0 - No, 1 - Yes. Default value is 0
# P27828

# Added "Self-Defined Time Zone" option in the Time Zone settings. Example:
# Alias: <item name="dateTime.timezone">Self-Defined Time Zone</item>
# P64=customize

# Add Account -> SIP Settings -> Use P-Asserted-Identity Header
# P-value: 29098, 29198, 29298, 29398, 29498, 29598, 53698, 53798, 53898, 53998, 54098, 54198, 54298, 54398, 54498, 54598
# Alias: account.{x}.sip.header.pai

# Added P-value 31 / "Line" for Programmable Key mode
#################################################
# P Values Added since GXV34x0 1.0.5.2 ##
#################################################
# Added Account -> Special Features -> Reboot on Check-sync Event without "reboot=" 
# P95030,95130,95230,95330,95430,95530,95630,95730,95830,95930,96030,96130,96230,96330,96430,96530
# Alias: account.{x}.sip.notify.checkSync.defaultReboot.enable

# Added DTMF Keypad Display Timeout (s)
# P7088
# Alias: call.keypad.display.timeout

# Added Account -> Advanced Settings -> Trusted Domain Name List
P60082,60182,60282,60382,60482,60582,60682,60782,60882,60982,61082,61182,61282,61382,61482,61582
# Alias: account.{x}.sip.validate.trustedDomains

# Added "Zoom" in Account -> Special Feature -> Special Feature
# Option value: 137

# Added Phone Settings -> Call Settings -> Enable BLF Pickup Sound
# P9906
# Alias: sip.blf.pickupSound.enable

# Added BLF Pickup Sound List.
# P9907
# Alias: sip.blf.pickupSound.mode

# Added BLF Pickup Sound Except List
# P9908
# Alias: sip.blf.pickupSound.list.except

# Added BLF Pickup Sound Only List 
# P9909
# Alias: sip.blf.pickupSound.list.allow

# Added BLF Pickup Sound Tone
# P20726
# Alias: sip.blf.pickupSound.tone

# Added Phone Settings -> Call Settings -> Busy Tone Expiration (s)
# P8443

# Enable Self-Defined Time Zone.
# P27828
# Alias is not assigned yet.
#################################################
# P Values Added since GXV34x0 1.0.5.2 ##
#################################################
# Added 3 - Optional for SRTP Mode
#################################################
# P Values Added since GXV3450 1.0.5.1 ##
#################################################
# Fixed some duplicate tag values and typos
# Removed: Maintenance -> Event Notification
	Log On
	<item name="ons.actionUrl.openSyslog
	Log Off
	<item name="ons.actionUrl.closeSyslog

# Added Baudisch Door System Number
#1 - 30 : P29202 - P29260 (increase by 2)
#31 - 79: P55202 - P55298 (increase by 2)
#80 - 100: P60202 - P60242 (increase by 2)
# alias not available

# Added Baudisch System Address
#1 - 30: P29201 - P29259 (increase by 2)
#31 - 79: P55201 - P55297 (increase by 2)
#80 - 100: P60201 - P60241 (increase by 2)
# alias not available
#################################################
# P Values Added since GXV34xx 1.0.3.32/33     ##
#################################################
# Added Enable IM Popup.
# P8474
# Alias: features.im.popup.enable

# Added Instant Message Popup Timeout 
# P26055
# Alias: features.im.popupTimeout

# Added Enable IM Tone. 
# P26056
# Alias: features.im.playToneOnNew

# Added Call Forward Always On
# P26013, 26113, 26213, 26313, 26413, 26513, 52613, 52713, 52813, 52913, 53013, 53113, 53213, 53313, 53413, 53513
# Alias: account.{x}.featureCodes.callForwardUnconditionallyOn

# Added Call Forward Always Off
# P26014, 26114, 26214, 26314, 26414, 26514, 52614, 52714, 52814, 52914, 53014, 53114, 53214, 53314, 53414, 53514
# Alias: account.{x}.featureCodes.callForwardUnconditionallyOff

# Added Call Forward Busy On
# P26009, 26109, 26209, 26309, 26409, 26509, 52609, 52709, 52809, 52909, 53009, 53109, 53209, 53309, 53409, 53509
# Alias: account.{x}.featureCodes.callForwardBusyOn

# Added Call Forward Busy Off
# P26010, 26110, 26210, 26310, 26410, 26510, 52610, 52710, 52810, 52910, 53010, 53110, 53210, 53310, 53410, 53510
# Alias: account.{x}.featureCodes.callForwardBusyOff

# Added Call Forward No Answer On
# P26011, 26111, 26211, 26311, 26411, 26511, 52611, 52711, 52811, 52911, 53011, 53111, 53211, 53311, 53411, 53511
# Alias: account.{x}.featureCodes.callForwardDelayedOn

# Added Call Forward No Answer Off
# P26012, 26112, 26212, 26312, 26412, 26512, 52612, 52712, 52812, 52912, 53012, 53112, 53212, 53312, 53412, 53512
# Alias: account.{x}.featureCodes.callForwardDelayedOff

#################################################
# P Values Added since GXV34x0 1.0.3.2 ##
#################################################
# Updated Enable TR-069 default value

# Added "Custom" option for Automatic Download Interval

# Added Download Repetition Period
# P7080
# Alias: phonebook.download.interval.custom.type

# Added Applications -> Contacts -> Download Contacts -> Day of the Week
# P7081
# Alias: phonebook.download.interval.custom.dayOfWeek

# Added Applications -> Contacts -> Download Contacts -> Day of the Month
# P7082
# Alias: phonebook.download.interval.custom.dayOfMonth

# Added Applications -> Contacts -> Download Contacts ->Starting - Ending Hour of the Day (0-23)
# P7083, 7084
# Alias: phonebook.download.interval.custom.beginHour
# Alias: phonebook.download.interval.custom.endHour

# Added alias for Enable MOH
# Alias: account.1.call.moh.enable

# Added MOH Mode 
# P60094,60194,60294,60394,60494,60594,60694,60794,60894,60994,61094,61194,61294,61394,61494,61594
# Alias: account.{x}.call.moh.mode

# Added Enable Meeting Tone 
# P7076
# Alias: audio.tone.conference.enableNotification

# Added Member Initiation Tone 
# P7078
# Alias: audio.tone.conference.memberJoinTone

# Added Active Meeting Tone 
# P7077
# Alias: audio.tone.conference.ongoingTone

# Added MOH Tone 
# P28858
# Alias: system.ringtone.remoteOnHoldTone

# Added Conference Tone Interval
# P7079
# Alias: audio.tone.conference.ongoingToneInterval

# Added Conference Video Layout.
# P7087
# Alias: call.conference.video.layout

# Added OpenVPN® Server Secondary Address 
# P22597
# Alias: network.openvpn.server.2.address

# Added OpenVPN® Secondary Port 
# P22598
# Alias: network.openvpn.server.2.port

# Added Randomly Select Server. 
# P22599
# Alias: network.openvpn.server.randomOrder.enable

# Added Guest Login
# P22015

# Added Guest Login PIN Code
# P22019

# Added Enable ICMP Reply.
# P189
# Alias: network.replyICMP.enable

# Added Enable SMS Reply.
# P7085
# Alias: call.respondCallWithText.enable

# Added Enable No Ringing.
# P7086
# Alias: call.silenceIncomingCall.enable
#################################################
# P Values Added since GXV34x0 1.0.3.1 ##
#################################################
(None)
#################################################
# P Values Added since GXV34x0 1.0.3.1 ##
#################################################
# Added P-values and alias for "Applications - Remote Phonebook" section
# Phonebook 1 Display Name.
# P22427, 22431, 22435
# Alias: remote.phonebook.x.display.name
# Phonebook 1 URL
# P22428, 22432, 22436
# Alias: remote.phonebook.x.url
# Phonebook 1 Username
# P22429, 22433, 22437
# Alias: remote.phonebook.x.username
# Phonebook 1 Password
# P22430, 22434, 22438
# Alias: remote.phonebook.x.password
# Remote Phonebook Update Interval (m)
# P22426
# Alias: remote.phonebook.download.interval

# Added Enable User Web Access.
# P8469
# Alias: security.webAccess.user.enable

# Removed Handset TX Gain.
# P1464 / audio.handset.txGain

# Removed RJ9 Headset TX Gain (dB).
# P1301 / audio.headset.txGain

# Removed RJ9 Headset RX Gain (dB).
# P1302 / audio.headset.rxGain

# Removed 3.5mm Earphone TX Gain (dB).
# P22002 / audio.3.5mmearphone.txGain

# Handset RX Gain (dB)
# P2906 / audio.handset.rxGain

# Notes: The configurable range from the configuration template does not fully cover the reasonable TX/RX ranges. Additionally, default values may be mismatched because they vary based on the models and hardware. This discrepancy can result in some configured values, when applied to a model, causing the RX/TX levels to be either too high or too low. This can lead to user discomfort, as the change may go unnoticed during provisioning. Moreover, these unexpected values can negatively impact the device’s performance. So the TX/RX configurations are removed from template and GDMS template.

#################################################
# P Values Added since GXV34x0 1.0.3. ##
#################################################
# Added Desktop Widget Display Long Strings
# Alias: pks.vpk.settings.idle.longlabel
# P8346
#################################################
# P Values Added since GXV34x0 1.0.1.3  ##
#################################################
# Added H265, H264 alias for video codec
# Added VP8 codec P-value 116 for account video codec
# Updated alias for Special Features
# Updated alias for Search Field Filter

# Enable Enterprise Directory.
# Alias: enterprise.directory.enable
# P8621

# Server Type.
# Alias: enterprise.directory.server.type
# P8622

# Server Address.
# Alias: enterprise.directory.server.addr
# P8623

# Enterprise Directory Auth Type.
# Alias: enterprise.directory.auth.type
# P8624

# Username
# Alias: enterprise.directory.auth.username
# P8625

# Password
# Alias: enterprise.directory.auth.password
# P8626

# SIP Account
# Alias: enterprise.directory.auth.account
# P8627

# Added Device Mode
# Alias: phone.device.mode
# P22479

# Added alias for OpenVPN® Mode
# Added alias for Plug in RJ9/EHS headset
# Updated alias for Headset Type
# Added alias for Xsi Login Password
# Supported aliases for value-added service (26-50)
# Added P-value for third video codec: 1307，475，575，675, 1775， 1875， 50675，50775，50875，50975，51075，51175，51275，51375，51475，51575
#################################################
# P Values Added since GXV34x0 1.0.1.3 ##
#################################################
# Removed STUN Server default value
#################################################
# P Values Added since GXV34x0 1.0.1.2 ##
#################################################
# Added LDAP -> Sort Results
# P8033
# Alias: ldap.sortResults

# Added P-values for 50 value-added services
#################################################
# P Values Added since GXV34x0 1.0.1.2 ##
#################################################
# Added Enable SD. 
# P22035
# Alias: lockdown.SD

# Added Enable USB. 
# P22036
# Alias: lockdown.USB

# Added Enable Bluetooth. 
# P22037
# Alias: lockdown.BT

# Added Enable Wi-Fi. 
# P22038
# Alias: lockdown.wifi

# Added Enable Camera. 
# P22236
# Alias: lockdown.camera

# Added Enable handset. 
# P22520
# Alias: lockdown.handset

# Added Enable safe mode.
# P22512
# Alias: safemode.enable

# Added Enable WiFi Display. 
# P22383
# Alias: wifi.display.enable

# Added Enable Airplay. 
# P22382
# Alias: airplay.enable
#################################################
# P Values Added since GXV34x0 1.0.1.1 ##
#################################################
(N/A)
#################################################
# P Values Added since GXV34x0 1.0.1. ##
#################################################
# Updated options for Config Provision
# cfg.xml;cfg$mac.xml;cfg$product.xml 
# cfg.xml;cfg$product.xml;cfg$mac.xml
# cfg$mac.xml;cfg.xml;cfg$product.xml 
# cfg$mac.xml;cfg$product.xml;cfg.xml 
# cfg$product.xml;cfg$mac.xml;cfg.xml 
# cfg$product.xml;cfg.xml;cfg$mac.xml

# Added alias for BroadSoft Directory Update Interval (m) 
# alias: broadsoftXsi.contactDownloadInterval 

# Added alias for Add Auth Header on Initial REGISTER
# alias: account.1.sip.header.authOnInitialRegister

# Updated options for Enable Paging Call Mode

# Added alias for Call Park Feature Code alias on gxv3470

# Added alias for Call Park Retrieve Feature Code on gxv3470

# Updated ringtone list
# Fixe some errors.
# Removed CACertificates.{x} alias and related P-values.